package models

type GoodsType struct {
	ID       int64  `gorm:"column:id" json:"id"`
	TypeCode string `gorm:"column:type_code" json:"type_code"`
	TypeName string `gorm:"column:type_name" json:"type_name"`
	Remark   string `gorm:"column:remark" json:"remark"`
	Ctime    int64  `gorm:"column:ctime" json:"ctime"`
	Mtime    int64  `gorm:"column:mtime" json:"mtime"`
	Creater  int64  `gorm:"column:creater" json:"creater"`
	Modifier int64  `gorm:"column:modifier" json:"modifier"`
	OrgId    int64  `gorm:"column:org_id" json:"org_id"`
	Status   int64  `gorm:"column:status" json:"status"`
	Type     int64  `gorm:"column:type" json:"type"`
}

func (GoodsType) TableName() string {
	return "xt_goods_type"
}

type GoodInfo struct {
	ID                     int64     `gorm:"column:id" json:"id"`
	GoodCode               string    `gorm:"column:good_code" json:"good_code"`
	SpecificationName      string    `gorm:"column:specification_name" json:"specification_name"`
	GoodTypeId             int64     `gorm:"column:good_type_id" json:"good_type_id"`
	GoodUnit               int64     `gorm:"column:good_unit" json:"good_unit"`
	BuyPrice               float64   `gorm:"column:buy_price" json:"buy_price"`
	SellPrice              float64   `gorm:"column:sell_price" json:"sell_price"`
	Remark                 string    `gorm:"column:remark" json:"remark"`
	Ctime                  int64     `gorm:"column:ctime" json:"ctime"`
	Mtime                  int64     `gorm:"column:mtime" json:"mtime"`
	Manufacturer           int64     `gorm:"column:manufacturer" json:"manufacturer"`
	Dealer                 int64     `gorm:"column:dealer" json:"dealer"`
	ExpiryDateWarnDayCount int64     `gorm:"column:expiry_date_warn_day_count" json:"expiry_date_warn_day_count"`
	StockWarnCount         int64     `gorm:"column:stock_warn_count" json:"stock_warn_count"`
	IsReuse                int64     `gorm:"column:is_reuse" json:"is_reuse"`
	Status                 int64     `gorm:"column:status" json:"status"`
	FilmArea               string    `gorm:"column:film_area" json:"film_area"`
	IsUse                  int64     `gorm:"column:is_use" json:"is_use"`
	FilmMaterialQuality    string    `gorm:"column:film_material_quality" json:"film_material_quality"`
	OrgId                  int64     `gorm:"column:org_id" json:"org_id"`
	Modifier               int64     `gorm:"column:modifier" json:"modifier"`
	Creater                int64     `gorm:"column:creater" json:"creater"`
	GoodsType              GoodsType `gorm:"ForeignKey:ID;AssociationForeignKey:GoodTypeId" `
}

func (GoodInfo) TableName() string {
	return "xt_good_information"
}
